<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>01200_TEE_ResetPropertyEnumerator</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____t_e_e___reset_property_enumerator.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">01200_TEE_ResetPropertyEnumerator<div class="ingroups"><a class="el" href="group___g_p__010___properties.html">GP_010_Properties</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gace7714ac054ed60bdee2b4968daf5cbc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___reset_property_enumerator.html#gace7714ac054ed60bdee2b4968daf5cbc">TestCase_GC068_Start12Enumerators</a> ()</td></tr>
<tr class="separator:gace7714ac054ed60bdee2b4968daf5cbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16df1133051831457f5484c58bd5db50"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___reset_property_enumerator.html#ga16df1133051831457f5484c58bd5db50">TestCase_BC069_enumeratorNull</a> ()</td></tr>
<tr class="separator:ga16df1133051831457f5484c58bd5db50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<dl class="section user"><dt>Description:</dt><dd>: Resets a property enumerator. <pre class="fragment">           void TEE_ResetPropertyEnumerator(
               TEE_PropSetHandle enumerator );

           For this test, we will need at least one TA.

           Pre:
           Open a session to a GPTA.

           Post:
           Close session and check that it succeeds.</pre></dd></dl>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="gace7714ac054ed60bdee2b4968daf5cbc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC068_Start12Enumerators </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Test the functionality of TEE_ResetPropertyEnumerator(). </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>In a loop, 12 iterations:<ul>
<li>Call TEE_AllocatePropertyEnumerator(), verify that the result is TEE_SUCCESS, alternating on 3 property sets: &ndash; TEE_PROPSET_CURRENT_TA &ndash; TEE_PROPSET_CURRENT_CLIENT &ndash; TEE_PROPSET_TEE_IMPLEMENTATION</li>
<li>Call TEE_GetPropertyName() to get the name of the first property and store it for each enumerator</li>
<li>Call TEE_GetNextProperty() a random number of times from 1-5 on each enumerator</li>
<li>if TEE_GetNextProperty() returns TEE_SUCCESS, call TEE_GetPropertyName() to get the current property name and verify that it does not match the initial name In a loop, 12 iterations:</li>
<li>Call TEE_ResetPropertyEnumerator()</li>
<li>Call TEE_GetPropertyName() and make sure it matches the initial name for the enumerator Call TEE_FreePropertyEnumerator() in a loop to free all previously-allocated enumerators</li>
</ul>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01200_TEE_ResetPropertyEnumerator.GC068_Start12Enumerators </dd></dl>

</div>
</div>
<a class="anchor" id="ga16df1133051831457f5484c58bd5db50"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC069_enumeratorNull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Attempt to reset a NULL enumerator. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Call TEE_ResetPropertyEnumerator() with NULL enumerator, which should cause a TA panic</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01200_TEE_ResetPropertyEnumerator.BC069_enumeratorNull </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
